/*	:*****************************************************************
	:	"sbar.h"	:	systemgPridehXN[o[ECu
	:*****************************************************************
*/
#ifndef	_SBAR_H
#define	_SBAR_H

#ifndef	_GUIDEFS_H
#	include	"guidefs.h"
#endif
#ifndef	_DIALOG_H
#	include	"dialog.h"
#endif
#ifndef	_EVENT_H
#	include	"event.h"
#endif

typedef	struct _sbar_t		/* XN[o[\		*/
{
	int			page;		/* ݃y[W			*/
	UINT		attr;		/* 						*/
	DLGBOX		fr;			/* \ʒu					*/
	int			total;		/* g[^				*/
	int			min, max;	/* őŏl				*/
	int			top;		/* \擪ʒu				*/
	int			dsp;		/* \					*/
	int			mov;		/* ړ					*/
	int			bar;		/* Œo[TCY			*/
	FRAME		cr;			/* J[\W				*/
	EVT_T		*evt;		/* Cxgڑp			*/
	int			(*func)(int, struct _sbar_t *);
							/* s֐					*/
	void		*ptr;		/* ėpp[^|C^	*/
	int			evtDec;
	int			evtInc;
	int			evtSlide;
	COLOR		curCol;
	COLOR		boxCol;
	COLOR		basCol;
	COLOR		strCol;
	COLOR		hilCol;
	COLOR		shaCol;
} SBAR_T;
#define	SBAR	SBAR_T

#define	SBATT_SLIDEQUICK	(1)
#define	SBATT_MAXADJUST		(2)

#define	SBEVT_DEC	(0)
#define	SBEVT_INC	(1)
#define	SBEVT_SLIDE	(2)

extern	SBAR_T	*SBAR_Vopen( EVT_WORK *basEvt, int (*func)(int, SBAR *), void *ptr );
extern	void	SBAR_Vclose( SBAR *sb);
extern	void	SBAR_Vredraw( SBAR *sb );
extern	int		SBAR_Vup( int evtNo, EVT_SBJ *sbj );
extern	int		SBAR_Vdown( int evtNo, EVT_SBJ *sbj );
extern	void	SBAR_Vdsp( SBAR *sb, int x0, int y0, int xs, int ys );

extern	SBAR_T	*SBAR_Hopen( EVT_WORK *basEvt, int (*func)(int, SBAR *), void *ptr );
extern	void	SBAR_Hclose( SBAR *sb);
extern	void	SBAR_Hredraw( SBAR *sb );
extern	int		SBAR_Hup( int evtNo, EVT_SBJ *sbj );
extern	int		SBAR_Hdown( int evtNo, EVT_SBJ *sbj );
extern	void	SBAR_Hdsp( SBAR *sb, int x0, int y0, int xs, int ys );

#endif
